/* COMMON ------------------ */

#countdown {
    font-family: 'OmegaCT', Arial, Helveltica, sans-serif;
    display: flex;
    position: relative;
    color: #000;
    cursor: pointer;
    width: 400px;
    height: 350px;
    background-color: White;
    border-radius: 40px;
}

#countdown .logo {
    background-repeat: no-repeat;
    background-position-x: center;
    background-size: contain;
    width: 100%;
    background-image: url(./images/logo-dakar-colors.svg);
}

#countdown .countdown-wrapper {
    display: flex;
    justify-content: space-around;
    width: 90%;
    margin: 0px 5px;
}

/* labels ------------ */

#countdown .number {
    font-size: 30px;
    text-align: center;
}

#countdown .unit-label {
    font-size: 12px;
    text-transform: uppercase;
    text-align: center;
}

#countdown .time-unit {
    padding: 2px 0;
    text-align: center;
    flex: 1;
}

#countdown .time-unit:not(:last-child) {
    border-right: 2px solid #c00a25;
}

/* Text ----------------------- */

#countdown .countdown-text {
    font-size: 14px;
    text-align: center;
    width: 90%;
    margin: auto;
    text-align: center;
}

#countdown .text-before {
    padding: 5px;
}

#countdown .text-after {
    display: none;
    padding: 10px;
}

/* Clock-time ------------- */

#countdown .clock-time .time-unit {
    border: none;
    flex: 0;
}

#countdown .clock-time .countdown-wrapper [data-role="hours"]:after,
#countdown .clock-time .countdown-wrapper [data-role="minutes"]:after {
    content: ":";
    margin-left: 30px;
}

#countdown .clock-time .countdown-wrapper .unit-label,
#countdown .clock-time .countdown-text .text-before {
    display: none;
}

#countdown .clock-time .countdown-text .text-after {
    display: block;
    text-wrap: pretty;
}

#countdown .wrapper-responsive {
    display: flex;
    flex-direction: column;
    align-items: center;
}


/* RESPONSIVE ------------------  */

/* Mobile banner */

@media (max-width: 800px) {
    #countdown {
        flex-direction: column;
        align-items: center;
    }

    #countdown .logo {
        height: 60%;
    }

    #countdown .wrapper-responsive {
        justify-content: space-around;
        height: 40%;
    }

    #countdown .text-before {
        padding: 5px 10px;
    }

    #countdown._FR .text-after {
        padding: 10px 15px;
    }
}

/* Tablet banner */

@media (min-width: 801px) {
    #countdown {
        width: 800px;
        height: 175px;
    }

    #countdown .logo {
        width: 50%;
    }

    #countdown .wrapper-responsive {
        justify-content: space-between;
        margin: 30px 0;
    }

    #countdown .countdown-text {
        font-size: 14px;
        margin: 0;
        width: 85%;
    }

    #countdown .text-before {
        padding: 5px 20px;
    }
}

/* Desktop banner */

@media (min-width: 1601px) {
    #countdown {
        width: 1600px;
        height: 175px;
        justify-content: space-around;
    }

    #countdown .logo {
        width: 35%;
        /* margin-left: 50px; */
    }

    #countdown .wrapper-responsive {
        flex-direction: row-reverse;
        width: 70%;
    }

    #countdown .countdown-wrapper {
        width: 45%;
        margin-right: 50px;
    }

    #countdown .number {
        font-size: 40px;
    }

    #countdown .unit-label {
        font-size: 18px;
    }

    #countdown .countdown-text {
        font-size: 22px;
        width: 40%;
    }

    #countdown._EN .text-before {
        padding: 0 25px;
    }

    #countdown._FR .text-before {
        padding: 0 20px;
    }

    #countdown .clock-time .countdown-wrapper [data-role="hours"]:after,
    #countdown .clock-time .countdown-wrapper [data-role="minutes"]:after {
        margin-left: 50px;
    }

}